Validate title on moves to avoid fatals / odd moves
Closed, ResolvedPublic

Description

See class WikiPageTarget and method call Title::newFromText( $newData->getTitle() )->getPrefixedText(),

newFromText can return null and thus break things.
If newFromText returns null an exception should be thrown indicating that the target can not me moved to here

Addshore created this task.May 23 2015, 5:02 PM
Addshore claimed this task.
Addshore added a project: MassAction.
Addshore added subscribers: Addshore, Aklapper.
Addshore removed Addshore as the assignee of this task.Dec 4 2015, 11:51 AM
Addshore edited the task description. (Show Details)
Addshore set Security to None.
Addshore edited the task description. (Show Details)Dec 4 2015, 12:32 PM
Addshore added a project: Google-Code-In-2015.

I will mentor this task for GCI 2015

Mhutti1 claimed this task.Dec 15 2015, 8:18 PM

Change 259338 had a related patch set uploaded (by Mhutti1):
Validates target title in WikiPageTarget

https://gerrit.wikimedia.org/r/259338

Change 259338 merged by jenkins-bot:
Validates target title in WikiPageTarget

https://gerrit.wikimedia.org/r/259338

Mhutti1 closed this task as "Resolved".Dec 15 2015, 11:11 PM